Subject: bug#27229: eldoc wrong highlighting for "when"

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 May 2022 14:31:29 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Tue, 03 May 2022 13:24:15 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > So you are saying that we cannot use "(fn ..." because eldoc doesn't
> > like that?  Doesn't sound reasonable to me.  eldoc is a minor, albeit
> > important, mode; it isn't right for a minor mode to dictate our
> > documentation formats.
> 
> No, I'm saying that the (fn ... in when/unless was wrong in any case, and
> shouldn't have been there.

What about the more general case of using that in any other place?
Are you saying that it will work in other places, and just in those
two places didn't work?

> Since we don't use that in the hundreds of other &rest body macros,
> it serves to confuse the users who will wonder why when/unless look
> odd.

I'm not worried too much about these two, I'm more worried about the
ability to use the advertised-signature feature in general.

> Like I said, if we want to change how we present &rest body to the
> users, then we should do so for all of these macros, and not just two.

What about if I want to change that only for a specific case, not in
general?  Is this now "verboten"?